# QGraphicsLayout Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsLayoutItem.

### Constructor

- void QGraphicsLayout(QGraphicsLayoutItem parent)

### Constructor Properties

- prototype: The QGraphicsLayout prototype object
- bool instantInvalidatePropagation()
- void setInstantInvalidatePropagation(bool enable)

### Prototype Object Properties

- void activate()
- int count()
- void invalidate()
- bool isActivated()
- QGraphicsLayoutItem itemAt(int i)
- void removeAt(int index)
- void setContentsMargins(qreal left, qreal top, qreal right, qreal bottom)
- void widgetEvent(QEvent e)

### Instance Properties

QGraphicsLayout objects have no special properties beyond those inherited from the QGraphicsLayout prototype object.